/* download and save "example_chapter3.sas7bdat" in c:\regression */

libname in 'c:\regression';
run;

/*descriptive statistics*/

proc means data=in.example_chapter3 mean median std var min max var range;
var rob urban unemp;
run;

proc freq data=in.example_chapter3;
table region;
run;

/*making dummy variables for region*/
data analysis1;
set in.example_chapter3;
if region='South' then S_dummy=1;
else S_dummy=0;
if region='Midwest' then MW_dummy=1;
else MW_dummy=0;
if region='East' then E_dummy=1;
else E_dummy=0;
run;

/*correlation among X's*/

proc corr data=analysis1;
var urban unemp s_dummy mw_dummy;
run;

/*multiple regression with "East" as the reference category
(Y = rob, X = urban, unemp, s_dummy, mw_dummy)*/

proc reg data=analysis1;
model rob = urban unemp s_dummy mw_dummy;
run;

/*partial model without region dummy variables 
(Y = rob, X = urban, unemp) */

proc reg data=analysis1;
model rob = urban unemp ;
run;

/*Multiple regression with "Midwest" as the reference category 
(Y = rob, X = urban, unemp, d_dummy, e_dummy*/


proc reg data=analysis1;
model rob = urban unemp s_dummy e_dummy;
run;


 
